
Redmine - Patch #39999

Explicitly render a 404 on non-JS requests to messages#quote

2024-01-02 21:52 - Holger Just

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.8   

Description

This fixes the same issue as #39894 by rendering a 404 if there is a non-xhr request to messages#quote.

Related issues:

Related to Redmine - Patch #39894: Explicitly render a 404 on non-JS requests... Closed

Associated revisions

Revision 22584 - 2024-01-03 02:19 - Marius BĂLTEANU

Explicitly render a 404 on non-JS requests to messages#quote (#39999).

Patch by Holger Just (@hjust).

Revision 22585 - 2024-01-03 02:20 - Marius BĂLTEANU

Merge r22584 from trunk to 5.1-stable (#39999).

Revision 22586 - 2024-01-03 02:21 - Marius BĂLTEANU

Merge r22584 from trunk to 5.0-stable (#39999).

Revision 22591 - 2024-01-04 03:10 - Go MAEDA

Fix RuboCop offense Style/TrailingCommaInArguments introduced in r22584 (#39999).

History

#1 - 2024-01-03 01:01 - Go MAEDA

- Related to Patch #39894: Explicitly render a 404 on non-JS requests to watchers#new added

#2 - 2024-01-03 01:02 - Go MAEDA

- Category set to Code cleanup/refactoring

- Target version set to 5.0.8

#3 - 2024-01-03 02:21 - Marius BĂLTEANU

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

Committed, thanks Holger!
